%define name	freebirth
%define version	0.3.2
%define release	10mdk
%define	summary	Bass synth/sequencer/sample player for linux

Summary:	%{summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
Source1:        %{name}-icons.tar.bz2
Patch0:		%{name}-optflags.patch.bz2
URL:		http://www.bitmechanic.com/projects/freebirth/
License:	GPL 
Group:		Sound
BuildRequires:	libgtk+-devel libglib-devel XFree86-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Freebirth is a free software bass synthesizer/step sequencer/sample player
for the Linux operating system. It consists of a bass synthesizer, vaguely
303ish, with three oscillators (saw, sin, sqr), phase offsets for each
oscillator, separate filter and amplitude envelopes, separate tuning for
each oscillator, and two effects busses (reverb and delay).

%prep
%setup -q
%patch0 -p0

%build
# quick patch for samples in /usr/share/freebirth
perl -pi -e "s|FB_SAMPLES \".\"|FB_SAMPLES \"/usr/share/freebirth\"||g;" \
  raw_wave.h

# actual make
#make all
%make OPTFLAGS="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/freebirth/raw/
install -m755 %{name} $RPM_BUILD_ROOT%{_bindir}
install -m755 wav_to_raw $RPM_BUILD_ROOT%{_bindir}
install -m644 raw/*.raw $RPM_BUILD_ROOT%{_datadir}/freebirth/raw/

#menu item
install -d %{buildroot}%{_menudir}
cat <<EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" \
		icon=%{name}.png \
		needs="x11" \
		section="Multimedia/Sound" \
		title="Freebirth"\
		longtitle="%{summary}"
EOF

install -d ${RPM_BUILD_ROOT}{%{_miconsdir},%{_liconsdir}}
tar -xOjf %{SOURCE1} %{name}-icons/%{name}-16x16.png > ${RPM_BUILD_ROOT}%{_miconsdir}/%{name}.png
tar -xOjf %{SOURCE1} %{name}-icons/%{name}-32x32.png > ${RPM_BUILD_ROOT}%{_iconsdir}/%{name}.png
tar -xOjf %{SOURCE1} %{name}-icons/%{name}-48x48.png > ${RPM_BUILD_ROOT}%{_liconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES COPYING INSTALL NEXT_VERSION README
%{_bindir}/*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/raw
%{_datadir}/%{name}/raw/*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}

%changelog
* Wed May 26 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-10mdk
- rebuild

* Sat Mar 15 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.3.2-9mdk
- added missing BuildRequires

* Sun Mar 09 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.3.2-8mdk
- quiet setup
- do not rm -rf buildroot in prep stage
- nicer formatting
- added menu item
- added icons (Source1)
- fixed optimize flags (Patch0)

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-7mdk
- rebuild

* Thu Aug 29 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-6mdk
- rebuild

* Mon Jul 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-5mdk
- rebuild

* Tue Jan 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-4mdk
- rebuild

* Tue Aug 31 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-3mdk
- BM
- Macros

* Fri Jul 14 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com> 0.3.2-2mdk
  - v0.3.2-2mdk
  - relocated raw files

* Fri Jul 14 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - v0.3.2-1mdk (initial packaging)
